package cn.ibizlab.r7.runtime.core.r7rt_base.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.r7rt_base.domain.User;
import cn.ibizlab.r7.runtime.core.r7rt_base.filter.UserSearchContext;

/**
 * 实体[User] 服务对象接口
 */

public interface IUserService{
     boolean remove(String userId) ;
     boolean create(User user) ;
     User syncToUser(User user) ;
     boolean checkKey(User user) ;
     User get(String userId) ;
     User get(User user) ;
     boolean save(User user) ;
     User getDraft(User user) ;
     boolean update(User user) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<User> searchDefault(UserSearchContext context) ;

    /**
     * 根据用户对象查询
     */
     Page<User> selectByUser(String userobjectid) ;
     List<User> selectByUser2(String userobjectid);

}
